close all; clear all; clc; 

filename = 'imu.csv';
data = load_IMU_data_from_csv( filename ) ; 

t = data.t; 
ax = data.ax; 
ay = data.ay; 
az = data.az; 
gx = data.gx; 
gy = data.gy; 
gz = data.gz; 

% analyze the noise (deviation from mean) on each axis and compare the
% emperical distribution to one generated from a quantized Gaussian
% distrubtuion with the same variance. 
quantized_accel_noise_gauss_anal( ax , 'x-axis')
quantized_accel_noise_gauss_anal( ay , 'y-axis')
quantized_accel_noise_gauss_anal( az , 'z-axis')